> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for products that you are able to sell from the fulfillment system. 

> This listing can include items which you own and supply to WineDirect along with any items supplied by other companies



## OpenAPI

````yaml /openapi.json get /api/v1/Products/Sellable/Listing
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Products/Sellable/Listing:
    get:
      tags:
        - Products
      summary: >-
        Search for products that you are able to sell from the fulfillment
        system. 
      description: >-
        This listing can include items which you own and supply to WineDirect
        along with any items supplied by other companies
      parameters:
        - name: accountNumber
          in: query
          description: AccountNumber is the unique Customer ID in the WineDirect system.
          required: true
          schema:
            minLength: 2
            type: string
        - name: itemTypeCode
          in: query
          description: "The Item Type (Code)\r\n            \r\n     ACC - Accessory\r\n     FOOD - Food\r\n     GSET - Gift Set\r\n     CARD - Greeting Card\r\n     PACK - Packaging\r\n     WINE - Wine/Sparkling \r\n     PTO - Pick-To-Order\r\n     INSERT - An insert"
          schema:
            type: string
        - name: sku
          in: query
          description: The SKU of the customer
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductIEnumerableServiceResult'
components:
  schemas:
    ProductIEnumerableServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            $ref: '#/components/schemas/Product'
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    Product:
      required:
        - accountNumber
        - supplierId
      type: object
      properties:
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        description:
          type: string
          description: Sku Description
          nullable: true
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        supplierName:
          type: string
          description: The name of the supplier
          nullable: true
        accountNumber:
          minLength: 2
          type: string
          description: AccountNumber is the unique Customer ID in the WineDirect system.
        accountName:
          type: string
          description: The name of the account holder
          nullable: true
        itemTypeCode:
          type: string
          description: "The Item Type (Code)\r\n            \r\n     ACC - Accessory\r\n     FOOD - Food\r\n     GSET - Gift Set\r\n     CARD - Greeting Card\r\n     PACK - Packaging\r\n     WINE - Wine/Sparkling \r\n     PTO - Pick-To-Order\r\n     INSERT - An insert"
          nullable: true
        itemTypeName:
          type: string
          description: The Item Type (Name)
          nullable: true
        packSlipDescription:
          type: string
          description: The packing slip description
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````